apiVersion: v1
kind: Service
metadata:
  labels:
    app: webapp2
  name: webapp2
spec:
  ports:
    - port: 80
      targetPort: 80
  selector:
    app: webapp2
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: webapp2
  name: webapp2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: webapp2
  template:
    metadata:
      labels:
        app: webapp2
    spec:
      containers:
        - image: registry.gitlab.com/simevo/webapp2/frontend:latest
          name: webapp2
          ports:
            - containerPort: 80
          resources: {}
          tty: true
      restartPolicy: Always
